"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.COLUMNS_CONFIG = void 0;

require("./App.css");

var _CommonTable = _interopRequireDefault(require("../src/table/CommonTable"));

var _mocks = require("./mocks");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _toConsumableArray(arr) { return _arrayWithoutHoles(arr) || _iterableToArray(arr) || _unsupportedIterableToArray(arr) || _nonIterableSpread(); }

function _nonIterableSpread() { throw new TypeError("Invalid attempt to spread non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _iterableToArray(iter) { if (typeof Symbol !== "undefined" && iter[Symbol.iterator] != null || iter["@@iterator"] != null) return Array.from(iter); }

function _arrayWithoutHoles(arr) { if (Array.isArray(arr)) return _arrayLikeToArray(arr); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

window.appConfig = {
  showProbeGroupColumn: true
};
var COLUMNS_CONFIG = [{
  // name: "Site",
  key: "siteName",
  headerRenderer: function headerRenderer() {
    return /*#__PURE__*/React.createElement("span", null, /*#__PURE__*/React.createElement("div", {
      style: {
        height: 20
      }
    }, "Site"), /*#__PURE__*/React.createElement("input", {
      style: {
        inlineSize: "100%",
        padding: 4,
        fontSize: 14
      }
    }));
  }
}, {
  name: "Machine",
  key: "name"
}, {
  name: "Component Type",
  key: "type" // labelsMap: machineTypeLabels,

}, {
  name: "Group Type",
  key: "groupType.value"
}].concat(_toConsumableArray(window.appConfig.showProbeGroupColumn ? [{
  name: "Probe Group",
  key: "customAttributes.probe_pod"
}] : []), [{
  name: "Version",
  key: "installedVersion"
}, {
  name: "Configuration",
  key: "configuration.name"
}, {
  name: "Configuration Revision",
  key: "configuration.revision"
}, {
  name: "Configuration Status",
  key: "configurationAttributes.configurationStatus" // labelsMap: statusLabels,

}]); // const columns = [
//   { key: 'id', name: 'ID' },
//   { key: 'title', name: 'Title' }
// ];

exports.COLUMNS_CONFIG = COLUMNS_CONFIG;

function App() {
  console.log(_mocks.VMTOPOLOGY_MOCKS);
  return /*#__PURE__*/React.createElement("div", {
    className: "App"
  }, /*#__PURE__*/React.createElement(_CommonTable.default, {
    columns: COLUMNS_CONFIG,
    tableRows: _mocks.VMTOPOLOGY_MOCKS.data.records
  }));
}

var _default = App;
exports.default = _default;